Skip to main content
`Ctrl`+`K`

# SNESNGMRESSetRestartFmRise

Increase the restart count if the step x_M increases the residual F_M inside a `SNESNGMRES` solve

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGMRESSetRestartFmRise(SNES snes, PetscBool flg)

## Input Parameters

- snes - the `SNES` context.

- flg - boolean value deciding whether to use the option or not, default is `PETSC_FALSE`

## Options Database Key

- -snes_ngmres_restart_fm_rise - Increase the restart count if the step x_M increases the residual F_M

## Notes

If the proposed step x_M increases the residual F_M, it might be trying to get out of a stagnation area. To help the solver do that, remove the current stored solutions and residuals whenever F_M increases.

This option must be used with the `SNESNGMRES` `SNESNGMRESRestartType` of `SNES_NGMRES_RESTART_DIFFERENCE`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNES_NGMRES_RESTART_DIFFERENCE`, `SNESNGMRES`, `SNESNGMRESRestartType`, `SNESNGMRESSetRestartType()`

## Level

advanced

## Location

src/snes/impls/ngmres/snesngmres.c

## Implementations

SNESNGMRESSetRestartFmRise_NGMRES() in src/snes/impls/ngmres/snesngmres.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages